Subject: help: mod_ssl/openssl/apache

From: [email-masked]
Date: Sun, 15 Sep 2002 05:20:24 -0400

Hi,

I am trying to run Apache with SSL, I get multiple errors in mod_ssl:

[Sun Sep 15 01:11:39 2002] [error] mod_ssl: Init: (localhost) Unable to configure RSA server private key (OpenSSL library error follows)
[Sun Sep 15 01:11:39 2002] [error] OpenSSL: error:0B080074:x509 certificate routines:X509_check_private_key:key values mismatch

However, I verified the keys are okay via:

openssl x509 -noout -text -in server.crt

Can someone please let me know what is mod_ssl trying to do, how
to fix above error ?
Any tips/suggestions ?

Thank you,

__________________________________________________________________
The NEW Netscape 7.0 browser is now available. Upgrade now! http://channels.netscape.com/ns/browsers/download.jsp 

Get your own FREE, personal Netscape Mail account today at http://webmail.netscape.com/
______________________________________________________________________
Apache Interface to OpenSSL (mod_ssl)                   www.modssl.org
User Support Mailing List                      [email-masked]
Automated List Manager                            [email-masked]